Bug 206380 - Mk/Uses/python.mk: remove vestigial _PYTHON_CMD
Summary: Mk/Uses/python.mk: remove vestigial _PYTHON_CMD
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Sunpoet Po-Chuan Hsieh
URL:
Keywords: patch, patch-ready
Depends on:
Blocks:
 
Reported: 2016-01-18 20:54 UTC by John Hein
Modified: 2016-01-22 11:38 UTC (History)
3 users (show)

See Also:
koobs: maintainer-feedback+
antoine: merge-quarterly-


Attachments
[patch] remove vestigial _PYTHON_CMD (837 bytes, patch)
2016-01-18 20:54 UTC, John Hein
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description John Hein 2016-01-18 20:54:05 UTC
Created attachment 165779 [details]
[patch] remove vestigial _PYTHON_CMD

When bsd.python.mk was converted to Uses/python.mk (r364450 2014-08-09), _PYTHON_CMD could have been removed as it was (and still is) no longer used.

A recursive search (grep -r -w _PYTHON_CMD) in the ports tree shows no obvious leftover consumers.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2016-01-19 03:41:04 UTC
@portmgr, do you think this needs an exp-run?
Comment 2 Antoine Brodin freebsd_committer 2016-01-20 13:46:35 UTC
seems fine but i see 0 reason to MFH  (don't fix anything and could break legacy ports)
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2016-01-20 14:00:45 UTC
No need for an exp-run (via antoine on IRC)
Comment 4 commit-hook freebsd_committer 2016-01-22 11:34:51 UTC
A commit references this bug:

Author: sunpoet
Date: Fri Jan 22 11:33:58 UTC 2016
New revision: 406906
URL: https://svnweb.freebsd.org/changeset/ports/406906

Log:
  - Remove _PYTHON_CMD

  PR:		206380
  Submitted by:	John Hein <z7dr6ut7gs@snkmail.com>

Changes:
  head/Mk/Uses/python.mk
Comment 5 Sunpoet Po-Chuan Hsieh freebsd_committer 2016-01-22 11:38:33 UTC
Committed. Thanks!